Solved thread

This post is marked as solved. If you think the information contained on this thread must be part of the official documentation, please contribute submitting a pull request to its repository.

phalcon command error

Hi,

I followed install tutorial for Developer Tools and get the following error while executing "phalcon commands" :

ERROR: The environment variable PTOOLSPATH is outdated! Current value: "C:\phalcon-tools". New value: C:\phalcon-tools

Phalcon-tools location : C:\phalcon-tools

phalcon.bat :

@echo off
set PTOOLSPATH="C:\phalcon-tools"

php %PTOOLSPATH%\phalcon.php %*

Any idea please ? Thanks !



29.5k
Accepted
answer

Hmm.. Try

set PTOOLSPATH=C:\phalcon-tools


1.2k

Yes it works...

Thanks dude !



4.7k

Have same error ERROR: The environment variable PTOOLSPATH is outdated! Current value: "z:\OpenServer\domains\server\trunk\vendor\phalcon\devtools\". New value: Z:\OpenServer\domains\server\trunk\vendor\phalcon\devtools

From the context it is clear what needs to be done. Isn't it?

edited Mar '17

same problem in windows (10)

Solution: in phalcon.bat remove " from PTOOLSPATH

@echo off

set PTOOLSPATH=%~dp0\

php %PTOOLSPATH%phalcon.php %*